# Configure the shipping address screen

1. Double click the **Shipping Address Screen** to open the Edit Screen.
2. Type `drb2b_drUtil` in the **Search components** field and click **drb2b\_drUtil**.\
   ![](/files/8CYqxuCiPR9NTSpP2OLa)
3. Drag the **drb2b\_drUtil** pane to where you want it to appear on the Edit Screen.\
   ![](/files/b4YNrgxlRGsAQz8DRlHy)
4. Type the API name (for example, `drUtil`) in the **API Name** field.\
   ![](/files/dUU7Hg9W7oc59g45dCEi)
5. Type `drb2b_buyerInfo` in the **Search components** field and click **drb2b\_buyerInfo**.\
   ![](/files/hUc1MDcIhGltmseDOnXB)
6. Drag the **drb2b\_buyerInfo** to where you want it to appear on the Edit Screen.\
   ![](/files/jWU5zKzGl1QATWE0JhCQ)
7. Enter the following values in the fields. Be sure to click through all designer attributes to ensure that the default values are registered by Salesforce.

   * **API Name**: Type `BuyerInfo` or any other name with no restrictions.
   * **Cart Id**: Type `{!cartId}`.
   * **Enable Tax Certificates**: Type `{!$GlobalConstant.True}` or`{!$GlobalConstant.False}`.
   * **Shipping Address ID**: Type `{!contactPointAddressId}`.\
     **Note**: The **Shipping Address ID** field appears in the **Advanced** section when you select the **Manually assign variables** check box.
   * **Show Shipping Address:** Type <mark style="background-color:yellow;">`{!$GlobalConstant.True}`</mark><mark style="background-color:yellow;">.</mark>

   See [Buyer info component](/salesforce-lightning/salesforce-lightning-b2b-commerce-app-1.2.1/extend-the-salesforce-lightning-app/customizing-the-lightning-web-components/components/buyer-info-component.md) for more information.\
   ![](/files/aG60U0wvemfR3beWH1LJ)
8. Type `drb2b_taxCertificateCheckout` in the **Search components** field and click **drb2b\_taxCertificateCheckout**.\
   ![](/files/He4inCMn83wmFMOtxCz5)
9. Drag the **drb2b\_taxCertificateCheckout** to where you want it to appear on the Edit Screen.\
   ![](/files/AKGIUGwBS33CkhdAsWet)
10. Enter the following values in the fields:
    * **API Name**: `TaxCertificate` or any other name with no restrictions.
11. Click **Done**.
12. Click **Save As**.\
    ![](/files/Aw2yEOs9mpTtQkZAKlUt)
13. Enter the name of the custom subflow in the **Flow Label** field (for example, DR Shipping Address) and the subfIow API name in the **Flow API Name** field, and click **Save**.\
    ![](/files/PzDWikVwZNPkPEbKrXwv)
14. Click **Activate**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/salesforce-lightning/salesforce-lightning-b2b-commerce-app-1.2.1/integrate-the-salesforce-lightning-app/step-17-integrate-the-digital-river-components-into-the-checkout-flow/subflow-configuration/configure-the-shipping-address-subflow/configure-the-shipping-address-screen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
